cppcms::filters::strftime Class Reference

Custom time formating filter. More...

`#include <cppcms/filters.h>`

## Public Member Functions

| strftime (strftime const &other)
strftime const & | operator= (strftime const &other)
| strftime (streamable const &t, std::string const &fmt)
| strftime (streamable const &time, std::string const &timezone, std::string const &fmt)
void | operator() (std::ostream &out) const

## Detailed Description

Custom time formating filter.

Formats date and time to the stream, date and time is represented as time_t

## Constructor & Destructor Documentation

cppcms::filters::strftime::strftime | ( | streamable const & | t,
|  | std::string const & | fmt
| ) |  |

Create date and time filter that formats current local-time date and time using POSIX time representation t according to strftime like format fmt, see booster::locale::as::ftime or cppcms::locale::as::ftime for details (depending on your localization backend)

cppcms::filters::strftime::strftime | ( | streamable const & | time,
|  | std::string const & | timezone,
|  | std::string const & | fmt
| ) |  |

Create date and time filter that formats current date and time using POSIX time representation t, in a timezone timezone according to strftime like format fmt, see booster::locale::as::ftime or cppcms::locale::as::ftime for details (depending on your localization backend)

The documentation for this class was generated from the following file:

- cppcms/filters.h